StaxInEndingInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class StaxInEndingInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.StaxInEndingInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class StaxInEndingInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StaxInEndingInterceptor` | `INSTANCE` |
    `static String` | `STAX_IN_NOCLOSE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaxInEndingInterceptor()` |
    `StaxInEndingInterceptor​(String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleMessage​(Message message)` | Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STAX_IN_NOCLOSE

          public static final String STAX_IN_NOCLOSE

    - #### INSTANCE

          public static final StaxInEndingInterceptor INSTANCE

  - ### Constructor Detail

    - #### StaxInEndingInterceptor

          public StaxInEndingInterceptor()

    - #### StaxInEndingInterceptor

          public StaxInEndingInterceptor​(String phase)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.